ForceFields::MMFF::PositionConstraintContrib Class Reference

A position constraint of the type 0.5k * deltaX^2. More...

`#include <PositionConstraint.h>`

Inheritance diagram for ForceFields::MMFF::PositionConstraintContrib:

## Public Member Functions

| PositionConstraintContrib ()
| PositionConstraintContrib (ForceField *owner, unsigned int idx, double maxDispl, double forceConst)
| Constructor. More...
| ~PositionConstraintContrib ()
double | getEnergy (double *pos) const
| returns our contribution to the energy of a position More...
void | getGrad (double *pos, double *grad) const
| calculates our contribution to the gradients of a position More...
virtual PositionConstraintContrib * | copy () const
| return a copy More...
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members

Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField
| our owning ForceField More...

## Detailed Description

A position constraint of the type 0.5k * deltaX^2.

Definition at line 22 of file MMFF/PositionConstraint.h.

## Constructor & Destructor Documentation

## PositionConstraintContrib() [1/2]

ForceFields::MMFF::PositionConstraintContrib::PositionConstraintContrib | ( |  | ) |

inline

Definition at line 24 of file MMFF/PositionConstraint.h.

Referenced by copy().

## PositionConstraintContrib() [2/2]

ForceFields::MMFF::PositionConstraintContrib::PositionConstraintContrib | ( | ForceField * | owner,
|  | unsigned int | idx,
|  | double | maxDispl,
|  | double | forceConst
| ) |  |

Constructor.

Parameters

  owner | pointer to the owning ForceField
  idx | index of the atom in the ForceField's positions
  minDispl | minimum displacement
  maxDispl | maximum displacement
  forceConst | force constant

## ~PositionConstraintContrib()

ForceFields::MMFF::PositionConstraintContrib::~PositionConstraintContrib | ( |  | ) |

inline

Definition at line 37 of file MMFF/PositionConstraint.h.

References getEnergy(), and getGrad().

## Member Function Documentation

## copy()

virtual PositionConstraintContrib* ForceFields::MMFF::PositionConstraintContrib::copy | ( |  | ) | const

inline virtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 41 of file MMFF/PositionConstraint.h.

References PositionConstraintContrib().

## getEnergy()

double ForceFields::MMFF::PositionConstraintContrib::getEnergy | ( | double * | pos | ) | const

virtual

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

Referenced by ~PositionConstraintContrib().

## getGrad()

void ForceFields::MMFF::PositionConstraintContrib::getGrad | ( | double * | pos,
|  | double * | grad
| ) |  | const

virtual

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

Referenced by ~PositionConstraintContrib().

The documentation for this class was generated from the following file:

- MMFF/PositionConstraint.h